Package org.globus.axis.transport

# Class GSIHTTPSender

java.lang.Object
org.apache.axis.handlers.BasicHandler
org.apache.axis.transport.http.HTTPSender
org.globus.axis.transport.GSIHTTPSender

All Implemented Interfaces:
  `Serializable`, `org.apache.axis.Handler`

public class GSIHTTPSender extends org.apache.axis.transport.http.HTTPSender
This is meant to be used on a SOAP Client to call a SOAP server.
This code is based on Axis HTTPSender.java code.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.apache.axis.transport.http.HTTPSender

`log`

### Fields inherited from class org.apache.axis.handlers.BasicHandler

`makeLockable, name, options`

## Constructor Summary

Constructors
Constructor
Description
`GSIHTTPSender()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`getSocket(org.apache.axis.transport.http.SocketHolder sockHolder, org.apache.axis.MessageContext msgContext, String protocol, String host, int port, int timeout, StringBuffer otherHeaders, org.apache.axis.components.net.BooleanHolder useFullURL)`

### Methods inherited from class org.apache.axis.transport.http.HTTPSender

`handleCookie, invoke`

### Methods inherited from class org.apache.axis.handlers.BasicHandler

`canHandleBlock, cleanup, generateWSDL, getDeploymentData, getName, getOption, getOptions, getUnderstoodHeaders, init, initHashtable, onFault, setName, setOption, setOptionDefault, setOptions, setOptionsLockable`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GSIHTTPSender

public GSIHTTPSender()

## Method Details

### getSocket

protected void getSocket(org.apache.axis.transport.http.SocketHolder sockHolder, org.apache.axis.MessageContext msgContext, String protocol, String host, int port, int timeout, StringBuffer otherHeaders, org.apache.axis.components.net.BooleanHolder useFullURL) throws Exception

Overrides:
  `getSocket` in class `org.apache.axis.transport.http.HTTPSender`
Throws:
  `Exception`